## org.mortbay.cometd
Class MessagePool

    java.lang.Object
      org.mortbay.cometd.MessagePool

Direct Known Subclasses:
  AbstractBayeux, BayeuxClient

    public class MessagePool

extends Object

Constructor Summary
`MessagePool()`
`MessagePool(int capacity)`

Method Summary
`JSON` `getBatchJSON()`
`JSON` `getJSON()`
`JSON` `getMsgJSON()`
`MessageImpl` `newMessage()`
`MessageImpl` `newMessage(org.cometd.Message associated)`
`org.cometd.Message[]` `parse(Reader reader)`
`org.cometd.Message[]` `parse(String s)`
`void` `parseTo(String fodder, List<org.cometd.Message> messages)`
`void` `recycleMessage(MessageImpl message)`
`void` `setBatchJSON(JSON batchJSON)`
`void` `setJSON(JSON json)`
`void` `setMsgJSON(JSON msgJSON)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessagePool

    public MessagePool()

### MessagePool

    public MessagePool(int capacity)

Method Detail

### getJSON

    public JSON getJSON()

  Returns:
    the `JSON` instance used to convert data and ext fields

### setJSON

    public void setJSON(JSON json)

  Parameters:
    `json` - the `JSON` instance used to convert data and ext fields

### getMsgJSON

    public JSON getMsgJSON()

  Returns:
    the `JSON` instance used to convert bayeux messages

### setMsgJSON

    public void setMsgJSON(JSON msgJSON)

  Parameters:
    `msgJSON` - the `JSON` instance used to convert bayeux messages

### getBatchJSON

    public JSON getBatchJSON()

  Returns:
    the `JSON` instance used to convert batches of bayeux messages

### setBatchJSON

    public void setBatchJSON(JSON batchJSON)

  Parameters:
    `batchJSON` - the `JSON` instance used to convert batches of bayeux messages

### newMessage

    public MessageImpl newMessage()

### newMessage

    public MessageImpl newMessage(org.cometd.Message associated)

### recycleMessage

    public void recycleMessage(MessageImpl message)

### parse

    public org.cometd.Message[] parse(Reader reader)
                               throws IOException

  Throws:
    `IOException`

### parse

    public org.cometd.Message[] parse(String s)
                               throws IOException

  Throws:
    `IOException`

### parseTo

    public void parseTo(String fodder,
                        List<org.cometd.Message> messages)

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.